### Hierarchy

- WalletUtils

## Index

### Methods

- createEthereumAddersRecord
- validateWallets
- verifyAddressRecord
- verifyWalletsRecord

## Methods

### Static createEthereumAddersRecord

- createEthereumAddersRecord(baseID: string, ethAddr: string, ethPrvKey: string): AddrRecord

- - Defined in utils/WalletUtils.ts:111

  #### Parameters

  - ##### baseID: string

  - ##### ethAddr: string

  - ##### ethPrvKey: string

  #### Returns AddrRecord

### Static validateWallets

- validateWallets(key: string, val: any, baseID: string): WalletVerificationStatus

- - Defined in utils/WalletUtils.ts:54

  #### Parameters

  - ##### key: string

  - ##### val: any

  - ##### baseID: string

  #### Returns WalletVerificationStatus

### Static verifyAddressRecord

- verifyAddressRecord(record: AddrRecord): WalletVerificationCodes

- - Defined in utils/WalletUtils.ts:28

  #### Parameters

  - ##### record: AddrRecord

  #### Returns WalletVerificationCodes

### Static verifyWalletsRecord

- verifyWalletsRecord(baseID: string, msg: any): WalletVerificationStatus

- - Defined in utils/WalletUtils.ts:67

  #### Parameters

  - ##### baseID: string

  - ##### msg: any

  #### Returns WalletVerificationStatus

Generated using TypeDoc